<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Auto Repairs</title>
	<!-- 
		Repairs
			C: create-repair
			RUD: all-repairs
			read for users: repairs
	 -->

	<!-- Bootstrap -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

</head>

<body>
	<!--
		----------------------------------------------------------------------------
		Nav Bar
		----------------------------------------------------------------------------
	-->
	<header>
		<nav class="navbar navbar-expand-sm navbar-light bg-light">
			<div class="container-fluid">
				<a class="navbar-brand" href="./index.html">Auto Repairs</a>
				<!-- Responsive navbar expander for narrow viewports -->
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse"
					data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
					aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<ul class="navbar-nav me-auto mb-2 mb-lg-0">
						<li class="nav-item">
							<a class="nav-link active" aria-current="page" href="#">Home</a>
						</li>
						<li class="nav-item" id="login-nav-item">
							<a class="nav-link" href="./accounts/login.html">Log In</a>
						</li>
						<li class="nav-item" id="create-account-nav-item">
							<a class="nav-link" href="./accounts/create-account.html">Create Account</a>
						</li>
						<li class="nav-item" id="repairs-nav-item" hidden>
							<!-- link to a page for viewing repairs. Admins get a different endpoint for now -->
							<a class="nav-link" id="repairs-nav-item-link" href="#">Repairs</a>
						</li>
						<li class="nav-item" id="create-repair-nav-item" hidden>
							<a class="nav-link" href="./repairs/create-repair.html">Create Repair</a>
						</li>
						<li class="nav-item" id="account-nav-item" hidden>
							<!-- page to view and edit accounts -->
							<a class="nav-link" href="./accounts/update-account.html">Account</a>
						</li>
						<li class="nav-item" id="all-accounts-nav-item" hidden>
							<a class="nav-link" href="./accounts/accounts.html">All Accounts</a>
						</li>
						<li class="nav-item" id="logout-nav-item" hidden>
							<a class="nav-link" href="#">Log Out</a>
						</li>
					</ul>
				</div>
				<!-- navbar links -->
			</div>
		</nav>
	</header>
	<!--
		----------------------------------------------------------------------------
		Main body
		----------------------------------------------------------------------------
	-->
	<main class="mt5">
		<div class="container-md">
			<h1 class="">Auto Repair Services</h1>
			<p class="">
				A single place to see all of your past repairs and stay up to date on your current repair work.
			</p>
		</div>

		<div class="container-md table-responsive">
			<table id="index-page-repair-table" class="table table-striped align-middle" style="min-width: 500px;"
				hidden>
				<caption>Repairs for the current user</caption>
				<thead>
					<th scope="col">Make</th>
					<th scope="col">Model</th>
					<th scope="col">Year</th>
					<th scope="col">Date Submitted</th>
					<th scope="col">Date Completed</th>
					<th scope="col">Price</th>
					<th scope="col">Problem</th>
					<th scope="col">Solution</th>
					<th scope="col">Status</th>
				</thead>
				<tbody id="index-page-repair-table-body">
					<!-- Body is filled in if the user is logged in -->
				</tbody>
			</table>
		</div>

	</main>

	<!-- JS imports -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
		crossorigin="anonymous"></script>
	<script src="./js/server-requests.js"></script>
	<script src="./js/nav-bar.js"></script>
	<script src="./index.js"></script>
</body>

</html>